Subject: Re: [bug#42473] [PATCH] gnu: zrythm: Update to 0.8.694.

From: Alexandros Theodotou <[email-masked]>
Date: Sun, 26 Jul 2020 11:16:28 +0100

Hi,

Thanks for the feedback!

Attaching the updated patch.

Thanks,
Alex

On Wed, 2020-07-22 at 23:06 -0400, Maxim Cournoyer wrote:
> Hello,
> 
> Ludovic Courtès <[email-masked]> writes:
> 
> > Hi Alexandros,
> > 
> > Alexandros Theodotou <[email-masked]> skribis:
> > 
> > > This is actually 2 patches. The first updates libcyaml and the
> > > 2nd
> > > Zrythm. Note that I (Zrythm author) have added a trademark policy
> > > to
> > > Zrythm that says modified versions that include the trademarks
> > > require
> > > permission (as discussed on IRC with a few people):
> > > https://www.zrythm.org/en/trademarks.html
> > > 
> > > I am not 100% sure if patching the xdg-open path counts as a
> > > modified
> > > version, but in any case this email is signed using the same key
> > > used
> > > to sign the release, so it can be interpreted as "written
> > > permission"
> > > to redistribute this.
> > 
> > OK.  Perhaps right above the ‘name’ field of the package, you could
> > add
> > a link to the trademark policy above and state that Guix has a
> > written
> > permission to use it, with a link to your message?  That way we’ll
> > have
> > an audit trail.
> 
> That's a good idea.
> 
> > > The FSDG allows trademarks from what I understand:
> > 
> > Your interpretation seems correct to me.
> 
> To me as well.
> 
> > > So it is up to the maintainers to decide if they want to keep
> > > Zrythm as
> > > it is or rename it. Either way, I am happy with either decision,
> > > although I would prefer if you were OK with keeping the "Zrythm"
> > > name
> > > (as long as there's no patches to remove/add functionality or
> > > links to
> > > the Zrythm website or things like that).
> > 
> > I don’t see any reason not to keep “Zrythm” as things stand.
> > 
> > Thoughts anyone?  (Cc: maintainers.)
> 
> I wish the trademark restrictions were relaxed to include the right
> for
> modifications made solely with the goal of
> building/packaging/integrating the software with a free software
> distribution.  This would make things hassle free and extra clear.
> 
> That said, I'm not opposed to include Zrythm as things stands, if
> other
> maintainers are OK with it.
> 
> Maxim
From 93189e429e19246c2039630b871eadd9c10cb73f Mon Sep 17 00:00:00 2001
From: Alexandros Theodotou <[email-masked]>
Date: Wed, 22 Jul 2020 09:19:26 +0100
Subject: [PATCH 2/2] gnu: zrythm: Update to 0.8.694.

* gnu/packages/music.scm (zrythm): Update to 0.8.694.
---
 gnu/packages/music.scm | 15 ++++++++++-----
 1 file changed, 10 insertions(+), 5 deletions(-)

diff --git a/gnu/packages/music.scm b/gnu/packages/music.scm
index 3089a22c7c..f1db53ca65 100644
--- a/gnu/packages/music.scm
+++ b/gnu/packages/music.scm
@@ -5203,8 +5203,12 @@ and as an LV2 plugin.")
 
 (define-public zrythm
   (package
+    ;; Zrythm contains trademarks and comes with a trademark policy found in
+    ;; TRADMARKS.md inside the release distribution.  Guix has written
+    ;; permission to use the Zrythm trademarks:
+    ;; https://debbugs.gnu.org/cgi/bugreport.cgi?bug=42473
     (name "zrythm")
-    (version "0.8.333")
+    (version "0.8.694")
     (source
       (origin
         (method url-fetch)
@@ -5212,13 +5216,13 @@ and as an LV2 plugin.")
                             version ".tar.xz"))
         (sha256
           (base32
-            "0x2kxr5zz058jpy6k6ymj0fi2gqfcgrlv4qkwz9443hjy5345iwb"))))
+            "17a2g153cyrx0jjgd2ppyraprlnk2zi4ihzr3f7gn0485crlc2g2"))))
    (build-system meson-build-system)
    (arguments
     `(#:glib-or-gtk? #t
       #:configure-flags
-      `("-Denable_tests=true" "-Dmanpage=true"
-        "-Dinstall_dseg_font=false" "-Denable_ffmpeg=true")
+      `("-Dtests=true" "-Dmanpage=true"
+        "-Ddseg_font=false" "-Dffmpeg=enabled")
       #:phases
       (modify-phases %standard-phases
         (add-after 'unpack 'patch-xdg-open
@@ -5245,8 +5249,9 @@ and as an LV2 plugin.")
       ("libsndfile" ,libsndfile)
       ("libyaml" ,libyaml)
       ("lilv" ,lilv)
+      ("rubberband" ,rubberband)
       ("xdg-utils" ,xdg-utils)
-      ("rubberband" ,rubberband)))
+      ("zstd" ,zstd "lib")))
    (native-inputs
      `(("pkg-config" ,pkg-config)
        ("help2man" ,help2man)
-- 
2.27.0